Subject: bug#63633: closed (Re: bug#63633: Emacs becomes unresponsive when trying to ssh into localhost (MacOS))

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 23 May 2023 07:43:02 +0000

Your bug report

#63633: Emacs becomes unresponsive when trying to ssh into localhost (MacOS)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
63633: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=63633
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#63633: Emacs becomes unresponsive when trying to ssh into localhost (MacOS)
From: Michael Albinus <[email-masked]>
To: Arteen Abrishami <[email-masked]>
Cc: [email-masked]
Date: Tue, 23 May 2023 09:42:02 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Arteen Abrishami <[email-masked]> writes:

> Thanks. This works.

Thanks for the confirmation. Closing the bug.

> As an aside, I am finding that within the ssh session, inside eshell,
> if I update directory contents (via “rm” for example), it takes about
> 10 seconds for “ls” to recognize the fact that the file has been
> removed, and for the first few “ls” after removal it will note that
> the file is still there.
>
> Would this be a separate issue?

I cannot reproduce it here. Please check, which "rm" command you use,
you'll see it in the *eshell* buffer:

--8<---------------cut here---------------start------------->8---
~ $ which rm
eshell/rm is a byte-compiled Lisp function in ‘em-unix.el’.
--8<---------------cut here---------------end--------------->8---

If it is the same for you, please write a new bug report. Append the
contents of your *eshell* buffer in order to see the commands, and in
order to reproduce it locally.

Best regards, Michael.

Subject: Emacs becomes unresponsive when trying to ssh into localhost (MacOS)
From: Arteen Abrishami <[email-masked]>
To: [email-masked]
Date: Sun, 21 May 2023 15:11:37 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

I have a Linux VM that I ssh into from my MacOS machine. From the terminal, in shell, this looks like: `ssh user@localhost -p 2222`. This works.

I also am able to use tramp to ssh into a different machine. On the terminal, this looks like `ssh machinename`. For tramp I use `M-x dired <RET> /ssh:machinename:/home/user <RET>`. 

I am trying to ssh into the localhost via emacs. I use `M-x dired <RET> /ssh:user@localhost#2222:/ <RET>`. This does not work. The message it will show is “Opening connection will for user@localhost using ssh…” forever.

Emacs will become unresponsive, and I will hear my fans very loudly. This continues for as long as I’ve let it. I have to Force Quit emacs. I am running GNU Emacs 30.0.50.

- Arteen